package com.tzld.piaoquan.content.understanding.service.impl;

import com.tzld.piaoquan.content.understanding.common.base.CommonRequest;
import com.tzld.piaoquan.content.understanding.common.enums.ExceptionEnum;
import com.tzld.piaoquan.content.understanding.common.exception.CommonException;
import com.tzld.piaoquan.content.understanding.model.param.ContentAnalyseParam;
import com.tzld.piaoquan.content.understanding.service.ContentService;
import com.tzld.piaoquan.content.understanding.service.LoghubService;
import com.tzld.piaoquan.content.understanding.service.PipelineService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author supeng
 */
@Slf4j
@Service
public class ContentServiceImpl implements ContentService {

    @Autowired
    private LoghubService loghubService;

    @Autowired
    private PipelineService pipelineService;

    @Override
    public void analyse(CommonRequest<ContentAnalyseParam> request) {
        if (Objects.isNull(request) || Objects.isNull(request.getParams())
                || Objects.isNull(request.getParams().getPipelineId()) || Objects.isNull(request.getParams().getType())) {
            throw new CommonException(ExceptionEnum.PARAMS_INVALID);
        }
        ContentAnalyseParam params = request.getParams();
        pipelineService.execute(params);
    }
}
